/*
  GetChar.ino
  
  This sketch demonstrates how GetChar function works.
*/

// include libraries
#include <Wire.h>
#include <TwiKeypad.h>

// variables
TwiKeypad keypad; // keypad object
const int TwiAdr=8; // keypad's TWI(I2C) Address

// functions
void setup()
{
  Wire.begin();// initialize TWI as master.
  keypad.begin(Wire,TwiAdr); // initialize keypad.
  Serial.begin(9600); // initialize serial port at 9600bps.
  while(!Serial); // wait for serial port to connect.
  Serial.println("Press keys.");
} // setup

void loop()
{
  char c=keypad.GetChar();
  if(c!='\0') {
    Serial.print(c);
  } // if
} // loop
