/*
  GetKeyState.ino
  
  This sketch demonstrates how GetKeyState function works.
*/

// include libraries
#include <Wire.h>
#include <TwiKeypad.h>

// variables
TwiKeypad keypad; // keypad object
const int TwiAdr=8; // keypad's TWI(I2C) Address

// functions
void setup()
{
  Wire.begin();// initialize TWI as master.
  keypad.begin(Wire,TwiAdr); // initialize keypad.
  Serial.begin(9600); // initialize serial port at 9600bps.
  while(!Serial); // wait for serial port to connect.
  Serial.println("Press keys.");
} // setup

void loop()
{
  int kn=keypad.GetKeyNum(); // get number of keys on the keypad.
  uint32_t ks=keypad.GetKeyState(); // get states of keys

  // print state of each key
  for(int i=0; i<kn; i++) {
    if(i>0 && i%4==0) Serial.print(' ');
    Serial.print((ks>>i)&1);
  } // for i
  Serial.println();
} // loop
