/*
  MultiKeypad.ino
  
  This sketch describes how to use plural keypads.
*/

// include libraries
#include <Wire.h>
#include <TwiKeypad.h>

// variables
TwiKeypad keypad1,keypad2; // keypad objects
const int TwiAdr1=8, TwiAdr2=9; // keypads' TWI(I2C) Addresses

// functions
void setup()
{
  Wire.begin();// initialize TWI as master.
  keypad1.begin(Wire,TwiAdr1); // initialize keypad1.
  keypad2.begin(Wire,TwiAdr2); // initialize keypad2.
  Serial.begin(9600); // initialize serial port at 9600bps.
  while(!Serial); // wait for serial port to connect.
  Serial.println("Press keys.");
} // setup

void loop()
{
  int8_t key;

  // keypad1
  key=keypad1.GetKey();
  if(key>=0) {
    Serial.print("Keypad1-SW");
    Serial.println(key+1);
  } // if

  // keypad2
  key=keypad2.GetKey();
  if(key>=0) {
    Serial.print("Keypad2-SW");
    Serial.println(key+1);
  } // if
} // loop
